local M = {}

local wantedBeam = -1
local a0
local cooldown


local function onReset()
  wantedBeam = -1
  cooldown = 0
  
  for _, beam in pairs(v.data.beams) do 
 if v.data.nodes[beam.id1].name == "a0" and v.data.nodes[beam.id2].name == "cl1" then
  print("wanted beam found " .. tostring(beam.cid))
  wantedBeam = beam.cid
 end
  end
  

end

local function updateGFX(dt)

 for _, beam in pairs(v.data.beams) do 
  local beamBroken = obj:beamIsBroken(beam.cid)
  if beamBroken and beam.cid == wantedBeam then
    if math.random(0, 1500) < (500-cooldown*4000) then
   obj:addParticleByNodesRelative(21, 21, 3, 6, 0.01, 10)
    obj:addParticleByNodesRelative(14, 14, 3, 6, 0.01, 10)	
   obj:addParticleByNodesRelative(39, 39, 3, 22, 0.01, 10)
    obj:addParticleByNodesRelative(9, 9, 1, 22, 0.01, 10)	
    obj:addParticleByNodesRelative(9, 9, 1, 29, 0.01, 1)		
   end
   cooldown = cooldown + dt	
  end
  
 end
 
end



M.onReset   = onReset
M.updateGFX = updateGFX


return M